-- MySQL Script generated by MySQL Workbench
-- ter 26 mar 2024 19:18:52
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS db_etechcare DEFAULT CHARACTER SET utf8 ;
USE db_etechcare ;

-- -----------------------------------------------------
-- Table `mydb`.`tb_tipo_usuario`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS tb_tipo_usuario (
  `cd_tipo_usuario` INT NOT NULL AUTO_INCREMENT,
  `nm_tipo_usuario` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`cd_tipo_usuario`),
  UNIQUE INDEX `nm_tipo_usuario_UNIQUE` (`nm_tipo_usuario` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_usuario`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_usuario` (
  `cd_usuario` INT NOT NULL AUTO_INCREMENT,
  `nm_usuario` VARCHAR(45) NOT NULL,
  `nm_email` VARCHAR(45) NOT NULL,
  `cd_senha` VARCHAR(45) NOT NULL,
  `st_usuario` CHAR(1) NOT NULL DEFAULT '1',
  `dt_registro_usuario` DATETIME NOT NULL DEFAULT current_timestamp,
  `id_tipo_usuario` INT NOT NULL,
  PRIMARY KEY (`cd_usuario`),
  UNIQUE INDEX `nm_email_UNIQUE` (`nm_email` ASC) ,
  INDEX `fk_tb_usuario_tb_tipo_usuario_idx` (`id_tipo_usuario` ASC) ,
  CONSTRAINT `fk_tb_usuario_tb_tipo_usuario`
    FOREIGN KEY (`id_tipo_usuario`)
    REFERENCES `tb_tipo_usuario` (`cd_tipo_usuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_categoria`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_categoria` (
  `cd_categoria` INT NOT NULL AUTO_INCREMENT,
  `nm_categoria` VARCHAR(45) NOT NULL,
  `st_categoria` CHAR(1) NOT NULL,
  PRIMARY KEY (`cd_categoria`),
  UNIQUE INDEX `nm_categoria_UNIQUE` (`nm_categoria` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_local`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_local` (
  `cd_local` INT NOT NULL AUTO_INCREMENT,
  `nm_local` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`cd_local`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_tipo_equipamento`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_tipo_equipamento` (
  `cd_tipo_equipamento` INT NOT NULL AUTO_INCREMENT,
  `nm_tipo_equipamento` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`cd_tipo_equipamento`),
  UNIQUE INDEX `nm_tipo_equipamento_UNIQUE` (`nm_tipo_equipamento` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_modelo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_modelo` (
  `cd_modelo` INT NOT NULL AUTO_INCREMENT,
  `nm_modelo` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`cd_modelo`),
  UNIQUE INDEX `nm_modelo_UNIQUE` (`nm_modelo` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_equipamento`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_equipamento` (
  `cd_equipamento` INT NOT NULL AUTO_INCREMENT,
  `nr_serie` VARCHAR(45) NULL,
  `nr_patrimonio` VARCHAR(45) NULL,
  `ds_equipamento` TEXT NOT NULL,
  `id_local` INT NOT NULL,
  `id_tipo_equipamento` INT NOT NULL,
  `id_modelo` INT NULL,
  PRIMARY KEY (`cd_equipamento`),
  INDEX `fk_tb_equipamento_tb_local1_idx` (`id_local` ASC) ,
  INDEX `fk_tb_equipamento_tb_tipo_equipamento1_idx` (`id_tipo_equipamento` ASC) ,
  INDEX `fk_tb_equipamento_tb_modelo1_idx` (`id_modelo` ASC) ,
  CONSTRAINT `fk_tb_equipamento_tb_local1`
    FOREIGN KEY (`id_local`)
    REFERENCES `tb_local` (`cd_local`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_equipamento_tb_tipo_equipamento1`
    FOREIGN KEY (`id_tipo_equipamento`)
    REFERENCES `tb_tipo_equipamento` (`cd_tipo_equipamento`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_equipamento_tb_modelo1`
    FOREIGN KEY (`id_modelo`)
    REFERENCES `tb_modelo` (`cd_modelo`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_chamado`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_chamado` (
  `cd_chamado` INT NOT NULL,
  `ds_chamado` LONGTEXT NOT NULL,
  `st_chamado` CHAR(1) NOT NULL,
  `dt_registro_chamado` DATETIME NOT NULL DEFAULT current_timestamp,
  `id_categoria` INT NOT NULL,
  `id_usuario` INT NOT NULL,
  `id_equipamento` INT NULL,
  PRIMARY KEY (`cd_chamado`),
  INDEX `fk_tb_chamado_tb_categoria1_idx` (`id_categoria` ASC) ,
  INDEX `fk_tb_chamado_tb_usuario1_idx` (`id_usuario` ASC) ,
  INDEX `fk_tb_chamado_tb_equipamento1_idx` (`id_equipamento` ASC) ,
  CONSTRAINT `fk_tb_chamado_tb_categoria1`
    FOREIGN KEY (`id_categoria`)
    REFERENCES `tb_categoria` (`cd_categoria`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_chamado_tb_usuario1`
    FOREIGN KEY (`id_usuario`)
    REFERENCES `tb_usuario` (`cd_usuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_chamado_tb_equipamento1`
    FOREIGN KEY (`id_equipamento`)
    REFERENCES `tb_equipamento` (`cd_equipamento`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`tb_historico`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tb_historico` (
  `cd_historico` INT NOT NULL AUTO_INCREMENT,
  `dt_registro_historico` DATETIME NOT NULL DEFAULT current_timestamp,
  `ds_historico` TEXT NOT NULL,
  `id_chamado` INT NOT NULL,
  `id_usuario` INT NOT NULL,
  PRIMARY KEY (`cd_historico`),
  INDEX `fk_tb_historico_tb_chamado1_idx` (`id_chamado` ASC) ,
  INDEX `fk_tb_historico_tb_usuario1_idx` (`id_usuario` ASC) ,
  CONSTRAINT `fk_tb_historico_tb_chamado1`
    FOREIGN KEY (`id_chamado`)
    REFERENCES `tb_chamado` (`cd_chamado`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_historico_tb_usuario1`
    FOREIGN KEY (`id_usuario`)
    REFERENCES `tb_usuario` (`cd_usuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
